Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.discussion
Class DiscussionMessageAttribute

    java.lang.Object
      com.plumtree.remote.prc.collaboration.discussion.DiscussionMessageAttribute

public class DiscussionMessageAttribute
extends java.lang.Object

An enumerated type used to describe the specific fields that can be used in constructing a `DiscussionMessageQueryOrder` for Discussion Messages.

Field Summary
`static DiscussionMessageAttribute` | `CREATED` Attribute for the message created date.
`static DiscussionMessageAttribute` | `LAST_POST` Attribute for the most recent message.
`static DiscussionMessageAttribute` | `MODIFIED` Attribute for the last modified date.
`static DiscussionMessageAttribute` | `PROJECT_NAME` Attribute for the message's containing project name.
`static DiscussionMessageAttribute` | `REPLIES` Attribute for the number of replies.
`static DiscussionMessageAttribute` | `USER_NAME` Attribute for the message owner name.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATED

    public static final DiscussionMessageAttribute CREATED

  Attribute for the message created date.

### LAST_POST

    public static final DiscussionMessageAttribute LAST_POST

  Attribute for the most recent message.

### MODIFIED

    public static final DiscussionMessageAttribute MODIFIED

  Attribute for the last modified date.

### PROJECT_NAME

    public static final DiscussionMessageAttribute PROJECT_NAME

  Attribute for the message's containing project name.

### REPLIES

    public static final DiscussionMessageAttribute REPLIES

  Attribute for the number of replies.

### USER_NAME

    public static final DiscussionMessageAttribute USER_NAME

  Attribute for the message owner name.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.